I need to start a connection using SignalR hubProxy class, everything works fine till API 25 but above 25 it gives this error:

Failed to finalize session : INSTALL_FAILED_NO_MATCHING_ABIS: Failed to extract native libraries, res=-113

code I'm Using

        HubConnection hubConnection = new HubConnection(hubUrl);
        HubProxy hubProxy = hubConnection.createHubProxy("hubName");

        try {
            SignalRFuture<Void> awaitConnection;
            awaitConnection = hubConnection.start(new ServerSentEventsTransport(hubConnection.getLogger()));
            awaitConnection.get();
        } catch (InterruptedException e) {
            e.printStackTrace();
        } catch (ExecutionException e) {
            e.printStackTrace();
        }

I tried to resolve it by following this answer, but it does not provide hubProxy class. so I cannot use it.

Please tell me how to fix this error.

0 Answers